import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import TextArea from './ZTextArea'


const FormItem = Form.Item;


export default class T41G extends Component
{

    name='41G'
    desp = "Available With ... By ..."
    
    pattern = ""
    tno = -1
    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col>
            <FormItem
                 help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}  
                 
                >
                        
                        <TextArea type= "textarea" maxLength={140} cols={35} rows={4} style={{imeMode:'disabled'}} placeholder="Narrative" value={value.s1} onChange={(e)=>this.onChange(e.target.value)}/>
                </FormItem>
            
            </Col>
        </Row>)
    }
}